#!/bin/sh
# This script shows cccam info
# Amended by TechNL
# Edited for the use on the AVG
################################################
# enter your tmp dir for ccam in the lower field
cccamfiles=/etc/vdr/plugins/cccam/etc
################################################
case $1 in
cccam_clients)
rm -rf /tmp/cccaminfo.tmp
echo clients | nc localhost 16000 >> /tmp/cccaminfo.tmp
;;
cccam_active_clients)
rm -rf /tmp/cccaminfo.tmp
echo activeclients | nc localhost 16000 >> /tmp/cccaminfo.tmp
;;
cccam_servers)
rm -rf /tmp/cccaminfo.tmp
echo servers | nc localhost 16000 >> /tmp/cccaminfo.tmp
;;
cccam_providers)
rm -rf /tmp/cccaminfo.tmp
echo providers | nc localhost 16000 >> /tmp/cccaminfo.tmp
;;
cccam_entitlements)
rm -rf /tmp/cccaminfo.tmp
echo entitlements | nc localhost 16000 >> /tmp/cccaminfo.tmp
;;
cccam_info)
rm -rf /tmp/cccaminfo.tmp
echo info | nc localhost 16000 >> /tmp/cccaminfo.tmp
;;
cccam_config)
rm -rf /tmp/cccaminfo.tmp
cat $cccamfiles/CCcam.cfg >> /tmp/cccaminfo.tmp
;;
cccam_ecm)
rm -rf /tmp/cccaminfo.tmp
if [ -e /tmp/ecm.info ]
then
echo " "
echo "ECM info"
echo " "
cat /tmp/ecm.info >> /tmp/cccaminfo.tmp;
else
echo " "
echo "No info available,"
echo "It might be possible another emu is encoding this channel instead of CCcam"
echo " "
echo "Is CCcam running???"
echo " "
cat /var/tmp/ecm.info 
fi
;;
restart_cccam)
/etc/init.d/reel-cccam-server stop
sleep 5
/etc/init.d/reel-cccam-server start
killall -HUP vdr
;;
stop_cccam)
/etc/init.d/reel-cccam-server stop
sleep 3
;;
start_cccam)
/etc/init.d/reel-cccam-server stop
sleep 2
/etc/init.d/reel-cccam-server start
;;


esac

cat /tmp/cccaminfo.tmp
rm /tmp/cccaminfo.tmp


